<template>
	<view class="color-primary p-20">首页</view>
	<view>{{ text }}</view>
	<uni-search-bar @confirm="" @input="" />
	<uni-badge text="1" type="primary" />

	<button @click="toCRM">CRM</button>
</template>

<script lang="ts" setup>
import { ref } from 'vue';
import { useOnLoad } from '@/hook';
import { common } from '@/utils';

const app = getApp();

const text = ref('Hello world');
const fn = () => {
	console.log('logSuccess');
};

const toCRM = () => {
	common.goToUrl("/pagesCrm/business/home/home")
};

useOnLoad(fn);
</script>

<style lang="scss" scoped>
.color-primary {
	color: var(--uni-color-primary);
}
</style>
